#include "bird.h"

#ifndef TARGET_SHAPE
#define TARGET_SHAPE
#include "targetshape.h"
#endif

#define NUMFLOCK 300

// a bunch of birds that bounce around inside a fixed cube
class flock {
	bird birdflock[NUMFLOCK];
	float target[3];
	float distances[NUMFLOCK][NUMFLOCK][4];
	int flocksize;
	public:
		void initialize();
		void update();
		void updatemember(int, float[], float, float, float);
		void makeshape(targetshape);
		int get_flocksize() { return flocksize; }
		void set_target(float, float, float);
		void draw();
		void draw(float, float, float);
		void drawspheres();
		void drawtarget();
		void calcdistances();
};